<template>
  <ul>
    <li>
      <b-button variant="outline-primary" @click="activePage(PAGE_NEW_TASK)" :class="{active: currentPage === PAGE_NEW_TASK}">
        {{ _('Создать') }}<fa-icon icon="plus" size="xs" />
      </b-button>
    </li>
    <li>
      <b-button variant="link" @click="activePage(PAGE_ACTIVE_TASK)" :class="['text-dark', {active: currentPage === PAGE_ACTIVE_TASK}]">{{ _('Активные') }}</b-button>
    </li>
    <li>
      <b-button variant="link" @click="activePage(PAGE_DONE_TASK)" :class="['text-dark', {active: currentPage === PAGE_DONE_TASK}]">{{ _('Завершенные') }}</b-button>
    </li>
    <li>
      <b-button variant="link" @click="activePage(PAGE_SELF_TASK)" :class="['text-dark', {active: currentPage === PAGE_SELF_TASK}]">{{ _('Мои заявки') }}</b-button>
    </li>
  </ul>
</template>

<script>
import { PAGE_NEW_TASK, CONFIG_SET_ACTIVE_LINK, PAGE_ACTIVE_TASK,
  PAGE_DONE_TASK, PAGE_SELF_TASK } from '../data/actions-types'

export default {
  name: 'Menu',
  data () {
    return {
      PAGE_NEW_TASK: PAGE_NEW_TASK,
      PAGE_ACTIVE_TASK: PAGE_ACTIVE_TASK,
      PAGE_DONE_TASK: PAGE_DONE_TASK,
      PAGE_SELF_TASK: PAGE_SELF_TASK
    }
  },
  computed: {
    currentPage () {
      return this.$store.state.config.activeLink
    }
  },
  methods: {
    activePage (page) {
      this.$store.dispatch(CONFIG_SET_ACTIVE_LINK, page)
    }
  }
}
</script>

<style lang="scss">
ul {
  margin: 0;
  padding: 0;
  text-align: right;
  li {
    list-style-type: none;
    padding: 8px;

    .fa-plus {
      margin-left: 5px;
    }

    .text-dark {
        padding: 0;

        &.active {
          text-decoration: underline;
        }
    }
  }
}
</style>
